
Redmine - Defect #6389

Selected strings in subtasks area will be disappeared with mouse selection

2010-09-14 10:19 - Jun MIZUNO

Status: Closed Start date: 2010-09-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.2.1

Description

With IE8 (Internet Explorer 8), subject strings listed in subtasks area  will be cleared with mouse selection.

Here are steps to reproduce:

1. Show an issue that have subtasks with IE. (e.g. http://demo.redmine.org/issues/31577)

2. Select some subject strings in subtasks with mouse (e.g. subject string 'Test ' in subtask 31579).

3. release the left-button. Selected strings will be disappeared.

Followings are my environment.

Ruby version              1.8.7 (i386-solaris2.10)

RubyGems version          1.3.1

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Application root          /tank/www/redmine-1.0.1

Environment               production

Database adapter          mysql

Database schema version   20100819172912

 The function clearDocumentSelection() in public/javascripts/context_menu.js uses document.selection.clear() for IE. I assume this

might be the cause.

Related issues:

Related to Redmine - Defect #12710: Ticket selection removes text Closed

History

#1 - 2010-09-14 11:28 - Felix Schäfer

I can confirm this on WinXP/IE8, my js foo isn't strong enough to be able to comment on this.

#2 - 2013-01-15 11:36 - Daniel Felix

- Status changed from New to Confirmed

- Affected version (unused) changed from 1.0.1 to 2.2.1

- Affected version changed from 1.0.1 to 2.2.1

I can confirm this in Redmine 2.2.1.

This is the same error as on #12710.

Just IE (IE9 too) is affected by this bug. See description at #12710.

#3 - 2013-01-15 11:36 - Daniel Felix

- Target version set to Candidate for next minor release
#4 - 2013-08-09 09:48 - Daniel Felix

Little update.

In IE10 everything seems to work as expected. I can't reproduce this in IE 10.

#5 - 2014-07-05 02:37 - Go MAEDA

I cannot reproduce this in Redmine 2.5.1/IE8/Windows 7. Probably it was fixed in Redmine 2.3.1(#12650).

This issue and #12710 can be closed.

#6 - 2014-07-18 03:10 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

- Target version deleted (Candidate for next minor release)

- Resolution set to Fixed

Thank you for your feedback.
